Bug 21358 - Remove deprecated GTK+ symbols
Summary: Remove deprecated GTK+ symbols
Status: RESOLVED FIXED
Alias: None
Product: libcanberra
Classification: Unclassified
Component: Unspecified (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Lennart Poettering
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-23 09:27 UTC by Andre Klapper
Modified: 2009-05-09 16:07 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
patch. (864 bytes, patch)
2009-04-30 03:17 UTC, Andre Klapper
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andre Klapper 2009-04-23 09:27:19 UTC
According to http://www.gnome.org/~fpeters/299.html libcanberra-0.10 uses GTK_PRIORITY_REDRAW which is deprecated.
See http://library.gnome.org/devel/gtk/stable/gtk-General.html#GTK-PRIORITY-REDRAW--CAPS

$:andre\> grep -r GTK_PRIORITY_REDRAW .
./src/canberra-gtk-module.c:
    if (idle_id == 0)
        idle_id = g_idle_add_full(GTK_PRIORITY_REDRAW-1, (GSourceFunc) idle_cb,
        NULL, NULL);
Comment 1 Andre Klapper 2009-04-30 03:17:01 UTC
Created attachment 25296 [details] [review]
patch.

For careful consumption. I'm always confused if it's really that easy.
Comment 2 Thomas H.P. Andersen 2009-05-04 07:57:07 UTC
The patch looks good to me.

#define GTK_PRIORITY_REDRAW     (G_PRIORITY_HIGH_IDLE + 20)
#define GDK_PRIORITY_REDRAW     (G_PRIORITY_HIGH_IDLE + 20)

From:
http://library.gnome.org/devel/gtk/stable/gtk-General.html#GTK-PRIORITY-REDRAW--CAPS
and:
http://library.gnome.org/devel/gdk/stable/gdk-Events.html#GDK-PRIORITY-REDRAW--CAPS
Comment 3 Lennart Poettering 2009-05-09 16:07:03 UTC
Looks good.

Thanks for your work!

Applied.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.